### Method

# WPEPlatform Toplevel foreach_view

#### Declaration [src]

    void
    wpe_toplevel_foreach_view (
      WPEToplevel* toplevel,
      WPEToplevelForeachViewFunc func,
      gpointer user_data
    )

#### Description [src]

Call `func` for each `WPEView` of `toplevel`.

#### Parameters

`func`

  Type: `WPEToplevelForeachViewFunc`

  The function to call for each `WPEView`.

`user_data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.